/* $Workfile: OtxHwIds.h $   $Revision: 5 $    $Modtime: 11/10/12 7:01p $ */
#ifndef OD_HD_IDS_H
#define OD_HD_IDS_H
/*******************************************************************************

  Copyright (c) Odin TeleSystems Inc., 2012, All Rights Reserved.

  @doc internal

  OTX Generic Hardware Driver API

  OtxHwIds

  OTX Product IDs

*******************************************************************************/

#define OD_PLX_CONFIG_ADDR_PORT    0xCF8
#define OD_PLX_CONFIG_DATA_PORT    0xCFC

#define OD_PLX_VENDOR_ID           0x10B5
#define OD_PLX_DEVICE_ID           0x9050
#define OD_PLX_9056_DEVICE_ID      0x9056

#define OTX_ODIN_VENDOR_ID         0x14C9
#define OTX_ODIN_USB_VENDOR_ID     0x263E

// DaVinci DMP IDs
#define OTX_PROD_ID_DMP_ASM_PCIE          (0x0000 | 1077)   // 0x0435 - DaVinci processor on an Alvis-ASM or Alvis-PCIe card
#define OTX_PROD_ID_DMP_CSI_SECONDARY     (0x1000 | 1077)   // 0x1435 - Secondary DaVinci processor on an Alvis-CSI (DMP1 on a DMM)

#define OTX_PROD_ID_DMP_ALVIS_0_CSI       (0x1000 | 1082)  // HAA-1082-1 Alvis-0-CSI  (0x143A)
#define OTX_PROD_ID_DMP_ALVIS_8_CSI       (0x2000 | 1082)  // HAA-1082-2 Alvis-8-CSI  (0x243A)
#define OTX_PROD_ID_DMP_ALVIS_8M_CSI      (0x3000 | 1082)  // HAA-1082-3 Alvis-8M-CSI (0x343A)
#define OTX_PROD_ID_DMP_ALVIS_4_CSI       (0x4000 | 1082)  // HAA-1082-4 Alvis-4-CSI  (0x443A)
#define OTX_PROD_ID_DMP_ALVIS_4M_CSI      (0x5000 | 1082)  // HAA-1082-5 Alvis-4M-CSI (0x543A)
#define OTX_PROD_ID_DMP_ALVIS_2_CSI       (0x6000 | 1082)  // HAA-1082-6 Alvis-2-CSI  (0x643A)

#define OTX_PROD_ID_DMP_ALVIS_0_PBX       (0x1000 | 1090)  // HAA-1090-1 Alvis-0-PBX  (0x1442)
#define OTX_PROD_ID_DMP_ALVIS_2_PBX       (0x2000 | 1090)  // HAA-1090-2 Alvis-2-PBX  (0x2442)
#define OTX_PROD_ID_DMP_ALVIS_4_PBX       (0x3000 | 1090)  // HAA-1090-3 Alvis-4-PBX  (0x3442)
#define OTX_PROD_ID_DMP_ALVIS_8_PBX       (0x4000 | 1090)  // HAA-1090-4 Alvis-8-PBX  (0x4442)

#define OTX_PROD_ID_DMP_ALVIS_CSI_UNCONFIGURED (0xF000 | 1082)  // This is product id is reserved for Alvis-CSI units that have not yet been configured (i.e. they have a blank Eeprom)


// PCI Device IDs (VVVV | PPPP PPPP PPPP) where:
// VVVV           (4 bits)  is the product variant (0000 if no variant)
// PPPP PPPP PPPP (12 bits) is the product number (e.g. 1019 for Thor-8-PCI)
#define OTX_PROD_ID_UNKNOWN                           0
#define OTX_PROD_ID_BALDER_2S_ISA                     1002  // 0x03EA
#define OTX_PROD_ID_BALDER_8S_ISA                     1003  // 0x03EB
#define OTX_PROD_ID_THOR_2_ISA                        1004  // etc...
#define OTX_PROD_ID_ARNI_32_PCI                       1008
#define OTX_PROD_ID_VIDAR_5x4_ASM                     1009
#define OTX_PROD_ID_BALDER_8U_PCI                     1010
#define OTX_PROD_ID_THOR_4_PCI                        1011
#define OTX_PROD_ID_THOR_2_PCMCIA_STD                 1012
#define OTX_PROD_ID_THOR_1_PCI                        1013
#define OTX_PROD_ID_VIDAR_6x1_ASM                     1014
#define OTX_PROD_ID_VIDAR_6x3_PCI                     1017
#define OTX_PROD_ID_THOR_8_PCI                        1019
#define OTX_PROD_ID_VIDAR_5x16_PCI                    1020
#define OTX_PROD_ID_THOR_2_PCI                        1022
#define OTX_PROD_ID_BALDER_8S_PCI                     1023
#define OTX_PROD_ID_VIDAR_5x4_PCI                     1024
#define OTX_PROD_ID_VIDAR_5x8_PCI                     1025
#define OTX_PROD_ID_VIDAR_5x12_PCI                    1026
#define OTX_PROD_ID_THOR_16_CPCI                      1028
#define OTX_PROD_ID_THOR_2_PCMCIA_PLUS                1043
#define OTX_PROD_ID_HERMOD_PCI                        1044
#define OTX_PROD_ID_THOR_2_PCI_PLUS                   1048
#define OTX_PROD_ID_THOR_8_PCI_PLUS                   1049
#define OTX_PROD_ID_GIMLE_16_PCI_PLUS                 1050
#define OTX_PROD_ID_GIMLE_16_PCI_BASIC_32   (0x1000 | 1050)
#define OTX_PROD_ID_GIMLE_16_PCI_BASIC_64   (0x2000 | 1050)
#define OTX_PROD_ID_SLEIPNIR_1_PCI_BNC_DSP  (0x1000 | 1051)
#define OTX_PROD_ID_SLEIPNIR_1_PCI_BNC      (0x2000 | 1051)
#define OTX_PROD_ID_SLEIPNIR_1_PCI_RJ45_DSP (0x3000 | 1051)
#define OTX_PROD_ID_SLEIPNIR_1_PCI_RJ45     (0x4000 | 1051)
#define OTX_PROD_ID_SLEIPNIR_1_PCI_BNC_WAN  (0x5000 | 1051)
#define OTX_PROD_ID_SLEIPNIR_1_PCI_RJ45_WAN (0x6000 | 1051)
#define OTX_PROD_ID_THOR_1_PCI_BASIC                  1052
#define OTX_PROD_ID_VIDAR_5x4_ASM_BASIC               1053
#define OTX_PROD_ID_VIDAR_5x4_ASM_CST                 1054
#define OTX_PROD_ID_VIDAR_5x4_ASM_V90                 1055
#define OTX_PROD_ID_VIDAR_5x4_ASM_EX                  1056
#define OTX_PROD_ID_THOR_2_PCMCIA_CST                 1057
#define OTX_PROD_ID_THOR_2_PCMCIA_EX                  1058
#define OTX_PROD_ID_THOR_2_PCMCIA_V90                 1059
#define OTX_PROD_ID_THOR_2_PCMCIA_PRO                 1060
#define OTX_PROD_ID_VIDAR_5x4_ASM_PRO                 1061
#define OTX_PROD_ID_THOR_4_PCI_PLUS                   1062
#define OTX_PROD_ID_THOR_1_PCI_PLUS                   1063
#define OTX_PROD_ID_ARNI_6x6_PCI_PLUS       (0x1000 | 1064)  // 0x1428
#define OTX_PROD_ID_ARNI_6x6_PCI            (0x2000 | 1064)  // 0x2428
#define OTX_PROD_ID_SLEIPNIR_1_PCMCIA_WAN             1065
#define OTX_PROD_ID_ARNI_6_FXS_PCI_PLUS               1066
#define OTX_PROD_ID_ARNI_6_FXO_PCI_PLUS               1067
#define OTX_PROD_ID_ARNI_6x3_PCI_PLUS                 1068
#define OTX_PROD_ID_HUGIN_2_PC104                     1069
#define OTX_PROD_ID_HUGIN_2_PC104_CC        (0x1000 | 1069)  // With Conformal Coat
#define OTX_PROD_ID_THOR_2_PCI_EXPRESS      (0x0000 | 1072)  // 0x0430 
#define OTX_PROD_ID_THOR_2_PCI_EXPRESS_BR   (0xF000 | 1072)  // 0xF430  The PEX8111 Bridge chip in the PEX8311 device on this board
#define OTX_PROD_ID_THOR_1_PCI_EXPRESS      (0x0000 | 1073)  // 0x0431 
#define OTX_PROD_ID_THOR_1_PCI_EXPRESS_BR   (0xF000 | 1073)  // 0xF431  The PEX8111 Bridge chip in the PEX8311 device on this board
#define OTX_PROD_ID_THOR_2_EXPRESS_CARD     (0x0000 | 1074)  // 0x0432 
#define OTX_PROD_ID_THOR_2_EXPRESS_CARD_PM  (0x1000 | 1074)  // 0x1432  Thor-2-ExpressCard with Voltmeter (Power Measurement)
#define OTX_PROD_ID_THOR_2_EXPRESS_CARD_BR  (0xF000 | 1074)  // 0xF432  The PEX8111 Bridge chip in the PEX8311 device on this board
#define OTX_PROD_ID_THOR_4_EXPRESS_CARD     (0x0000 | 1076)  // 0x0434  Thor-4-ExpressCard with Voltmeter and amplifiers
#define OTX_PROD_ID_THOR_4_EXPRESS_CARD_PM  (0x1000 | 1076)  // 0x1434  Thor-4-ExpressCard with Voltmeter
#define OTX_PROD_ID_ALVIS_1_ASM                       1077   // 1 DaVinci processor
#define OTX_PROD_ID_ALVIS_2_ASM                       1078   // 2 DaVinci processor
#define OTX_PROD_ID_ALVIS_4_ASM                       1079   // 4 DaVinci processor
#define OTX_PROD_ID_MODI_2_PCI_PLUS                   1080   // Dual PCI ASM carrier with Ethernet ports
#define OTX_PROD_ID_SLEIPNIR_HG                       1081   // 0x0439 Sleipnir/Thor Audio Adapter 2.0 (H&G Trading)
#define OTX_PROD_ID_ALVIS_PCI_EXPRESS                 1087   // 0x043F Alvis-PCIe
#define OTX_PROD_ID_GIMLE_16_PCIE                     1088   // 0x0440 Gimle-16-PCIe
#define OTX_PROD_ID_GIMLE_16_PCIE_BASIC_32  (0x1000 | 1088)  // 0x1440 Gimle-16-PCIe-Basic-32
#define OTX_PROD_ID_GIMLE_16_PCIE_BASIC_64  (0x2000 | 1088)  // 0x2440 Gimle-16-PCIe-Basic-64
#define OTX_PROD_ID_GODAR_EVM_PCI_EXPRESS             1038   // 0x040E FPGA EVM Board
#define OTX_PROD_ID_GODAR_1_PCI_EXPRESS               1091   // 0x0443 One STM interface
#define OTX_PROD_ID_GODAR_2_PCI_EXPRESS               1092   // 0x0444 Two STM interface
#define OTX_PROD_ID_THOR_8M_USB                       1093   // 0x0445 4TX and 8RX T1/E1 in USB box 
#define OTX_PROD_ID_THOR_4M_USB             (0x1000 | 1093)  // 0x1445 2TX and 4RX T1/E1 in USB box 
#define OTX_PROD_ID_THOR_8_USB                        1095   // 0x0447 8TX and 8RX T1/E1 in USB box
#define OTX_PROD_ID_THOR_4_USB              (0x1000 | 1095)  // 0x1447 4TX and 4RX T1/E1 in USB box
#define OTX_PROD_ID_THOR_2_USB              (0x2000 | 1095)  // 0x2447 2TX and 2RX T1/E1 in USB box
#define OTX_PROD_ID_THOR_1_USB              (0x3000 | 1095)  // 0x3447 1TX and 1RX T1/E1 in USB box
#define OTX_PROD_ID_THOR_8_PCIE                       1097   // 0x0449 Thor-8-PCIe


/* $History: OtxHwIds.h $
 * 
 * *****************  Version 5  *****************
 * User: Hanz         Date: 11/10/12   Time: 7:01p
 * Updated in $/Products/Otx-Driver-new/Lib
 * Corrected Syntax error.
 * 
 * *****************  Version 4  *****************
 * User: Hanz         Date: 11/10/12   Time: 6:53p
 * Updated in $/Products/Otx-Driver-new/Lib
 * Added Thor-USB variants.
 * 
 * *****************  Version 3  *****************
 * User: Yuhua        Date: 4/19/12    Time: 5:21p
 * Updated in $/Products/Otx-Driver-new/Lib
 * USB support
 * 
 * *****************  Version 2  *****************
 * User: Hanz         Date: 3/29/12    Time: 12:30p
 * Updated in $/Products/Otx-Driver-new/Lib
 * Added support for Thor-8-PCIe.
 * 
 * *****************  Version 1  *****************
 * User: Yuhua        Date: 2/01/12    Time: 6:12p
 * Created in $/Products/Otx-Driver-new/Lib
 * A new start.
 * 
 */

/*******************************************************************************

  Copyright (C) Odin TeleSystems Inc., 2012

  All rights reserved. No part of this computer program may be reproduced,
  stored in any retrieval system, or transmitted, in any form or by any
  means, electronic, mechanical, photocopying, recording, or otherwise,
  without the prior written permission of Odin TeleSystems Inc., or without
  a permission stipulated in the agreement/contract under which this computer
  program was supplied.

*******************************************************************************/
#endif  // OD_HW_IDS_H
