/* $Workfile: OsaLinuxCpp.h $   $Revision: 1 $    $Modtime: 10/22/12 5:01p $  */
/*******************************************************************************

  Odin TeleSystems Inc.

  OTX Telecom Adapter Driver

  @doc internal

  @module

  @normal Copyright (C) Odin TeleSystems Inc., 2012, All Rights Reserved

*******************************************************************************/

/*---------------------------------------------------------------------------*\
  Note: starting from RedHat (kernel-2.4.18-14), OtxDrv gets compilation 
  errors, to cope with kernel and compiler (3.x) changes of RedHat 8.0 and 9.0, 
  functions using Linux kernel API in cpp files are segregated and put in 
  c files,  any cpp should NOT include this header file  
\*---------------------------------------------------------------------------*/

#ifndef OSA_LINUX_CPP_H
#define OSA_LINUX_CPP_H


#ifdef __cplusplus
extern "C" {
#else
#endif

#define new ident_new
#define delete ident_delete
#define class ident_class
#define virtual ident_virtual			// conflict with "virtual" in header file <linux/mm.h>  
#define namespace ident_namespace


#include <linux/pci.h>			// for pci_present(), it includes <asm/linux.h> -> <linux/string.h> -- for size_t
#include <linux/poll.h>			// for poll_wait(), include <asm/poll.h>	and <linux/string.h>
#include <linux/proc_fs.h> 
#include <linux/delay.h> 

#include <linux/module.h>   
#ifdef MODULE_LICENSE
MODULE_LICENSE("GPL");
#endif

#undef new
#undef delete
#undef class
#undef virtual		
#undef namespace	


#ifdef __cplusplus
}
#endif

#endif  //OSA_LINUX_CPP_H





