/* $Workfile: OsaLinuxEntry.h $   $Revision: 3 $    $Modtime: 3/21/13 3:22p $  */
/*******************************************************************************

  Odin TeleSystems Inc.

  OTX Telecom Adapter Driver

  @doc internal

  @module

  @normal Copyright (C) Odin TeleSystems Inc., 1998-2013, All Rights Reserved

*******************************************************************************/

#include "../OsaRtl.h"  // For wchar_t with C compile
#include "OsaLinuxC.h"  


#ifdef __cplusplus
extern "C" {
#endif


struct proc_dir_entry_otx *OsaLinuxCreateProcDevice(const wchar_t *pwcsDeviceName, void *pContext);
void OsaLinuxRemoveProcDevice(struct proc_dir_entry_otx *pProcEntry);
void OsaLinuxRemoveProcDeviceDeferred(struct proc_dir_entry_otx *pProcEntry);

// Entry functions that must be implemented by OsaLinux.cpp because OsaLinuxEntry.c calls them
extern int OsaLinuxDriverEntry(void);
extern int OsaLinuxDaVinciDriverEntry(void);

extern int OsaLinuxOpenDeviceEntry(
  //32bit: struct file *pFile, 
  void *pFile, 
  void *pContext
  );
 
extern int OsaLinuxCloseDeviceEntry(
  //32bit: struct file *pFile, 
  void *pFile, 
  void *pContext
  );
 
extern int OsaLinuxIoDeviceControlEntry(
  void *pFile,
  void *pContext, 
  OsaUint32 nIoControlCode, 
  OsaLinuxIoCtlHdr *pHdr, 
  void *pSystemBuffer
  );

extern unsigned int OsaLinuxPollDeviceEntry(
#if 0 //32bit
  struct file *pFile, 
  void *pContext, 
  struct poll_table_struct *pPollTable
#endif
  void *pFile, 
  void *pContext, 
  void *pPollTable
);

extern void OsaLinuxRemoveDeviceEntry(void *pContext);
  
extern void OsaLinuxUnloadEntry(void);

extern void OsaLinuxWorkQueueFunction(void *pContext);
//32bit: extern int OsaLinuxAddWorkQueue(void *tasklets, void *queueData, void (*func)(unsigned long));
extern int OsaLinuxAddWorkQueue(void *tasklets, void *queueData, void (*func)(OsaULong));
//32bit: extern void OsaLinuxIsrWorkQueue(unsigned long queueData);
extern void OsaLinuxIsrWorkQueue(OsaULong queueData);

// @todo: must find out if it's really necessary for OsaLinux.cpp to call this function which should
// only be called by the Linux kernel, really
void cleanup_module(void);         

#ifdef __cplusplus
}
#endif

