/* $Workfile: OsaMemory.cpp $   $Revision: 1 $    $Modtime: 1/27/12 11:51a $  */
/*******************************************************************************

  Copyright (c) Odin TeleSystems Inc., 2012, All Rights Reserved.

  OTX Telecom Adapter Driver

  @doc internal

  @module

*******************************************************************************/

#include "Api/OsaDef.h"
#include "OsaRtl.h"
#include "OsaMemory.h"

static int OSA_CDECL __default_nh(size_t);

/******************************************************************************
  @data
  Global pointer to the global new handler. For the new function to use
******************************************************************************/
_PNH __newhandler = __default_nh;


/******************************************************************************
  @func
  The default new handler, under DBG: prints a message and breakpoints.
  otherwise does nothing.
******************************************************************************/
static int OSA_CDECL __default_nh(size_t cbSize)
{
  cbSize = cbSize;  // Just to eliminate a compiler warning for unused variables
  OSA_EPRINTF(("Osa: __default_nh: out of memory in operator new (cbSize=%d)!\n", cbSize));
  OSA_BREAKPOINT();
  return 0;
};


/******************************************************************************
******************************************************************************/
_PNH OSA_CDECL _set_new_handler( _PNH pfnHandler )
{
  //ASSERT(NULL != pfnHandler);
  _PNH pfnOldhandler = __newhandler;
  __newhandler = pfnHandler;

  return pfnOldhandler;
}


